use ExtUtils::MakeMaker;

WriteMakefile
  ( NAME        => 'Mozilla::Persona'
  , VERSION     => 0.10
  , PREREQ_PM   =>
     { 'CGI::Fast'		=> 0
     , 'CGI::Session'		=> 0
     , 'Crypt::OpenSSL::Bignum'	=> 0
     , 'Crypt::OpenSSL::RSA'	=> 0
     , 'File::Basename'		=> 0
     , 'File::Slurp'		=> 0
     , 'File::Spec'		=> 0
     , 'Getopt::Long'		=> 0
     , 'JSON'			=> 0
     , 'List::Util'		=> 0
     , 'Log::Report'		=> 0
     , 'LWP::UserAgent'		=> 0
     , 'MIME::Base64'		=> 0
     , 'Time::HiRes'		=> 0
     , 'URI'			=> 0
     , 'Term::ReadLine::Gnu'	=> 0
     , 'Test::More'		=> 0

     # to be made conditional later
     , 'Mail::ExpandAliases'	=> 0
     , 'Mail::IMAPTalk'	        => 0
     , 'Apache::Htpasswd'       => 0
     }
  , AUTHOR      => 'Mark Overmeer'
  , ABSTRACT    => 'Mozilla Persona server implementation'
  , LICENSE     => 'perl'
  , EXE_FILES   => [ 'bin/persona' ]
  );

#### the next lines are added for OODoc, which generates the
#### distribution.
sub MY::postamble { <<'__POSTAMBLE' }

# for DIST
RAWDIR          = ../public_html/persona/raw
DISTDIR         = ../public_html/persona/source
LICENSE         = artistic

# for POD
FIRST_YEAR      = 2012
EMAIL           = perl@overmeer.net
WEBSITE         = http://perl.overmeer.net
__POSTAMBLE

