use warnings;
use strict;

package Mozilla::Persona::Server;
use open 'utf8';

use Log::Report    qw/persona/;

=chapter NAME
Mozilla::Persona - Mozilla's Persona framework

=chapter SYNOPSIS
  # See Mozilla::Persona::Server

=chapter DESCRIPTION
Persona allows you to sign-in to sites using an identity you created
in your own domain.  So, instead of having to manage multiple usernames
and passwords across your favorite sites and devices, you prove your
identity via a self-chosen mechanism on your own server.

Your identity is represented by a pseudo email address, for example
C<joe@example.com>. The domain-name (C<example.com>) is used to collect
some configuration files on the webserver (https://example.com) of
that domain.  The username (C<joe>) is used as reference to an identity.

See F<http://www.mozilla.org/en-US/persona/>
=cut

1;
