use warnings;
use strict;

package Mozilla::Persona::Aliases;
use Log::Report  qw/persona/;

=chapter NAME
Mozilla::Persona::Aliases - multiple personalities

=chapter SYNOPSIS
  # add to the configation of $domain.json
  { ...
    "aliases" : {
      "class" : "Mozilla::Persona::Aliases::MailConfig"
      ...options for new()...
    },
    ...
  }

=chapter DESCRIPTION
The Aliases objects check whether a certain email-address relates
to the specified user.

Ideas/implementations for aliases:

=over 4

=item * M<Mozilla::Persona::Aliases::MailConfig>
Use the alias tables of the standard email programs to expand the
username.  All unix mailers use the same "aliases" files.

=back

=chapter METHOD

=section Constructors

=c_method new OPTIONS
=cut

sub new(%) { my $class = shift; (bless {}, $class)->init({@_}) }
sub init($)
{   my ($self, $args) = @_;
    $self;
}

#-----------------------------
=section Aliases

=method for USER
Return all the alternative names for USER, by default only itself.
=cut

sub for($)
{   my ($self, $user) = @_;
    ($user);
}

1;
